eval '(exit $?0)' && eval 'exec perl -S $0 ${1+"$@"}'
    & eval 'exec perl -S $0 $argv:q'
    if 0;

# $Id: run_test.pl 84757 2009-03-09 07:11:58Z johnnyw $
# -*- perl -*-

use lib "$ENV{ACE_ROOT}/bin";
use PerlACE::TestTarget;

my $server = PerlACE::TestTarget::create_target (1) || die "Create target 1 failed\n";

my @tests = qw(
               zlibserver
               bzip2server
               lzoserver
              );

foreach my $process (@tests) {

$SV = $server->CreateProcess ("$process");
my $executable = $SV->Executable;
next unless -e $executable;

$test = $SV->SpawnWaitKill ($server->ProcessStartWaitInterval());

if ($test != 0) {
    print STDERR "ERROR: test returned $test\n";
    exit 1;
}
}

exit 0;
